Subject: Re: bug#21022: see how much cloudflare's zlib-improving techniques can help gzip

From: Jim Meyering <[email-masked]>
Date: Fri, 10 Jul 2015 09:00:53 -0700

On Thu, Jul 9, 2015 at 10:56 PM, Mark Adler <[email-masked]> wrote:
> As a side note, there already is a gzip replacement that I wrote that uses zlib and that also provides parallel compression called pigz.
>
>> On Jul 9, 2015, at 10:51 PM, Paul Eggert <[email-masked]> wrote:
>>
>> On 07/09/2015 04:31 PM, Jim Meyering wrote:
>>> https://blog.cloudflare.com/cloudflare-fights-cancer/
>>>
>>
>> A few years ago I started to rewrite gzip to use zlib rather than to do its own compression and decompression.  If we finished that, we could use cloudfare's zlib implementation trivially.

Hi Mark,

How close is pigz to being a strict superset of the functionality of gzip?
I.e., would we lose anything if we were to install pigz with the name gzip?